> For the complete documentation index, see [llms.txt](https://docs.zimo-pagos.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zimo-pagos.com/api-documentation/deposits-api/endpoints/deposit-status-endpoint.md).

# Deposit Status Endpoint

## Retrieve Deposit Status

> Retrieve the status of a previously created deposit. This endpoint allows you to retrieve the status of a deposit request.

```json
{"openapi":"3.0.0","info":{"title":"eroninternational Deposit API","version":"v3"},"servers":[{"url":"https://api-stg.eroninternational.com/v3","description":"Staging environment"}],"paths":{"/deposits/{deposit_id}":{"get":{"summary":"Retrieve Deposit Status","description":"Retrieve the status of a previously created deposit. This endpoint allows you to retrieve the status of a deposit request.","tags":["Deposits"],"parameters":[{"name":"deposit_id","in":"path","required":true,"description":"eroninternational deposit_id. It is obtained when creating the deposit.","schema":{"type":"integer"}},{"name":"Content-Type","in":"header","required":true,"description":"Media type of the body sent to the API. (Note: For GET, typically no request body)","schema":{"type":"string","default":"application/json"}},{"name":"X-Date","in":"header","required":true,"description":"ISO8601 Datetime with Timezone. Example: 2020-06-24T17:13:21Z","schema":{"type":"string","format":"date-time"}},{"name":"X-Login","in":"header","required":true,"description":"Merchant X-Login API Key","schema":{"type":"string"}},{"name":"Authorization","in":"header","required":true,"description":"Authentication signature hash","schema":{"type":"string"}},{"name":"X-Idempotency-Key","in":"header","required":false,"description":"Unique idempotency key for ensuring that the same request is not processed more than once. (Typically for state-changing requests)","schema":{"type":"string"}}],"responses":{"200":{"description":"Deposit status successfully retrieved","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DepositStatusResponse"}}}},"400":{"description":"The deposit_id specified is not valid"},"401":{"description":"Unauthorized access"},"404":{"description":"The deposit_id specified could not be found"}}}}},"components":{"schemas":{"DepositStatusResponse":{"title":"DepositStatusResponse","type":"object","properties":{"user_id":{"type":"string","description":"ID generated for the user on eron end"},"deposit_id":{"type":"integer","description":"ID of the deposit on eron end"},"subscription_id":{"type":"integer","nullable":true,"description":"ID of the Subscription that triggered the deposit"},"invoice_id":{"type":"string","description":"ID of the deposit on the merchant end"},"country":{"type":"string","nullable":true,"description":"Country ISO code"},"currency":{"type":"string","description":"Local currency code"},"local_amount":{"type":"number","format":"float","nullable":true,"description":"Amount in local currency"},"usd_amount":{"type":"number","format":"float","nullable":true,"description":"Amount in USD"},"amount":{"type":"number","format":"float","nullable":true,"description":"Amount in local currency"},"bonus_amount":{"type":"number","format":"float","nullable":true,"description":"The amount specified as bonus in the request"},"bonus_relative":{"type":"boolean","nullable":true,"description":"Specifies if bonus_amount is absolute or relative"},"payment_method":{"type":"string","nullable":true,"description":"Payment method code"},"payment_type":{"type":"string","nullable":true,"description":"Type of the payment method"},"status":{"type":"string","description":"Status of the deposit","enum":["COMPLETED","PENDING","CREATED","DECLINED","CANCELLED","EXPIRED","EARLY_RELEASED","FOR_REVIEW"]},"status_reason":{"type":"string","nullable":true,"description":"Additional information about the deposit status. Currently returned only when status is CANCELLED.","enum":["THIRD_PARTY_PAYER","AMOUNT_MISMATCH"]},"payer":{"$ref":"#/components/schemas/Payer","nullable":true},"fee_amount":{"type":"number","format":"float","nullable":true,"description":"Fee of the deposit"},"fee_currency":{"type":"string","nullable":true,"description":"Currency of the fee"},"refunded":{"type":"boolean","nullable":true,"description":"Shows if the deposit was refunded"},"current_payer_verification":{"type":"string","nullable":true,"description":"Current payer verification result","enum":["MATCH","UNMATCH","NO_CLIENT_DOCUMENT","NO_CURRENT_PAYER_DATA"]},"card_detail":{"$ref":"#/components/schemas/CardDetail","nullable":true},"financial_institution":{"$ref":"#/components/schemas/FinancialInstitution","nullable":true},"bank_account":{"$ref":"#/components/schemas/BankAccount","nullable":true},"completed_payment_method_code":{"type":"string","nullable":true,"description":"Payment method used to complete the transaction"}}},"Payer":{"title":"Payer","type":"object","description":"Object containing information about the payer. Only values sent or collected will be shown.","properties":{"document":{"type":"string","description":"Payer's document of identity"},"document_type":{"type":"string","description":"Payer's document type"},"email":{"type":"string","format":"email","description":"Payer's email"},"first_name":{"type":"string","description":"Payer's first name"},"last_name":{"type":"string","description":"Payer's last name"},"phone":{"type":"string","description":"Payer's phone number"},"address":{"$ref":"#/components/schemas/PayerAddress"}}},"PayerAddress":{"title":"PayerAddress","type":"object","properties":{"city":{"type":"string","description":"Payer's city"},"state":{"type":"string","description":"Payer's state ISO code"},"street":{"type":"string","description":"Payer's street"},"zip_code":{"type":"string","description":"Payer's zip code"}}},"CardDetail":{"title":"CardDetail","type":"object","properties":{"card_holder":{"type":"string"},"brand":{"type":"string"},"masked_card":{"type":"string"},"expiration":{"type":"string","pattern":"^\\d{4}-\\d{2}$"},"card_type":{"type":"string","enum":["CREDIT","DEBIT"]},"transaction_result":{"type":"string"}}},"FinancialInstitution":{"title":"FinancialInstitution","type":"object","properties":{"name":{"type":"string"},"bank_code":{"type":"string"},"tax_identifier":{"type":"string"}}},"BankAccount":{"title":"BankAccount","type":"object","properties":{"bank_code":{"type":"string","nullable":true},"account_number":{"type":"string"},"bank_branch":{"type":"string","nullable":true},"ispb_code":{"type":"integer","nullable":true},"bank_name":{"type":"string","nullable":true},"account_type":{"type":"string","nullable":true},"account_holder":{"type":"string","nullable":true}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zimo-pagos.com/api-documentation/deposits-api/endpoints/deposit-status-endpoint.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
